Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# dimension2d.h File Reference

`#include "irrTypes.h"`
`#include "irrMath.h"`

Go to the source code of this file.

## Classes

class | irr::core::dimension2d< T >
| Specifies a 2 dimensional size. More...

## Namespaces

namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::core

| Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Typedefs

typedef dimension2d< f32 > | irr::core::dimension2df
| Typedef for an f32 dimension.
typedef dimension2d< s32 > | irr::core::dimension2di
| Typedef for an integer dimension.
typedef dimension2d< u32 > | irr::core::dimension2du
| Typedef for an unsigned integer dimension.

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:41:58 2010 by Doxygen (1.6.2)